Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.crypto
Class CryptixAESKeyCache.KeyCacheEntry

    java.lang.Object
      net.i2p.crypto.CryptixAESKeyCache.KeyCacheEntry

Enclosing class:
  CryptixAESKeyCache

    public static final class CryptixAESKeyCache.KeyCacheEntry

extends Object

all the data alloc'ed in a makeKey call

Field Summary
`(package private) int[][]` | `Kd`
`(package private) int[][]` | `Ke`
`(package private) Object[]` | `key`
`(package private) int[]` | `tk`

Constructor Summary
`CryptixAESKeyCache.KeyCacheEntry()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Ke

    int[][] Ke

### Kd

    int[][] Kd

### tk

    int[] tk

### key

    Object[] key

Constructor Detail

### CryptixAESKeyCache.KeyCacheEntry

    public CryptixAESKeyCache.KeyCacheEntry()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD